#
# Conditional build
%bcond_with	postr	# flickr uploader plugin (no longer working as of 42)

Summary:	A collection of plugins for the EOG image viewer
Summary(pl.UTF-8):	Zestaw wtyczek do przeglądarki obrazków EOG
Name:		eog-plugins
Version:	44.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/eog-plugins/44/%{name}-%{version}.tar.xz
# Source0-md5:	1e2f61bd04521eb61f81727f5c5ef7be
URL:		https://wiki.gnome.org/Apps/EyeOfGnome
BuildRequires:	clutter-devel >= 1.9.4
BuildRequires:	clutter-gtk-devel >= 1.1.2
BuildRequires:	eog-devel >= 41.0
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.53.4
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.14.0
BuildRequires:	libchamplain-devel >= 0.12.0
BuildRequires:	libexif-devel >= 1:0.6.16
BuildRequires:	libgdata-devel >= 0.9.1
BuildRequires:	libpeas-devel >= 1.14.1
BuildRequires:	libpeas-gtk-devel >= 1.14.1
BuildRequires:	meson >= 0.58.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.53.4
Requires:	clutter >= 1.9.4
Requires:	clutter-gtk >= 1.1.2
Requires:	eog >= 41.0
Requires:	glib2 >= 1:2.53.4
Requires:	gtk+3 >= 3.14.0
Requires:	libchamplain >= 0.12.0
Requires:	libexif >= 1:0.6.16
Requires:	libgdata >= 0.9.1
Requires:	libpeas >= 1.14.1
Requires:	libpeas-gtk >= 1.14.1
Suggests:	libpeas-loader-python >= 1.14.1
%{?with_postr:Suggests:	postr}
Suggests:	python-pygobject3 >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pluginsdir	%{_libdir}/eog/plugins

%description
This package provides collection of plugins for use with the Eye of
GNOME Image Viewer.

%description -l pl.UTF-8
Ten pakiet dostarcza zestaw wtyczek do przeglądarki obrazków Eye of
GNOME (Oko GNOME).

%prep
%setup -q

%build
%meson build \
	%{?with_postr:-Dplugin_postr=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang eog-plugins

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f eog-plugins.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README

%{pluginsdir}/exif-display.plugin
%attr(755,root,root) %{pluginsdir}/libexif-display.so
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml
%{_datadir}/metainfo/eog-exif-display.appdata.xml

%{pluginsdir}/export-to-folder.plugin
%{pluginsdir}/export-to-folder.py
%{_datadir}/eog/plugins/export-to-folder
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.export-to-folder.gschema.xml
%{_datadir}/metainfo/eog-export-to-folder.appdata.xml

%{pluginsdir}/fit-to-width.plugin
%attr(755,root,root) %{pluginsdir}/libfit-to-width.so
%{_datadir}/metainfo/eog-fit-to-width.appdata.xml

%{pluginsdir}/fullscreenbg.plugin
%{pluginsdir}/fullscreenbg.py
%{_datadir}/eog/plugins/fullscreenbg
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.fullscreenbg.gschema.xml
%{_datadir}/metainfo/eog-fullscreenbg.appdata.xml

%{pluginsdir}/light-theme.plugin
%attr(755,root,root) %{pluginsdir}/liblight-theme.so
%{_datadir}/metainfo/eog-light-theme.appdata.xml

%{pluginsdir}/map.plugin
%attr(755,root,root) %{pluginsdir}/libmap.so
%{_datadir}/metainfo/eog-map.appdata.xml

%{pluginsdir}/maximize-windows.plugin
%{pluginsdir}/maximize-windows.py
%{_datadir}/metainfo/eog-maximize-windows.appdata.xml

%{pluginsdir}/postasa.plugin
%attr(755,root,root) %{pluginsdir}/libpostasa.so
%{_datadir}/metainfo/eog-postasa.appdata.xml

%if %{with postr}
%{pluginsdir}/postr.plugin
%attr(755,root,root) %{pluginsdir}/libpostr.so
%{_datadir}/metainfo/eog-postr.appdata.xml
%endif

%{pluginsdir}/pythonconsole.plugin
%{pluginsdir}/pythonconsole
%{_datadir}/eog/plugins/pythonconsole
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.pythonconsole.gschema.xml
%{_datadir}/metainfo/eog-pythonconsole.appdata.xml

%{pluginsdir}/send-by-mail.plugin
%attr(755,root,root) %{pluginsdir}/libsend-by-mail.so
%{_datadir}/metainfo/eog-send-by-mail.appdata.xml

%{pluginsdir}/slideshowshuffle.plugin
%{pluginsdir}/slideshowshuffle.py
%{_datadir}/metainfo/eog-slideshowshuffle.appdata.xml
%changelog
* Mon Jul 24 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eog-plugins.git;a=log;h=master

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 2ad24be
- updated to 44.0

* Thu Mar 23 2023 Jakub Bogusz <qboosh@pld-linux.org> c40e2c8
- updated to 42.3

* Wed Sep 21 2022 Jakub Bogusz <qboosh@pld-linux.org> ddd5a9b
- updated to 42.2

* Sun Apr 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 125774a
- updated to 42.1

* Fri Apr 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 6c2c5c7
- updated to 42.0; uses meson now
- hide-titlebar plugin is gone
- postr plugin is disabled in this version (not ported to meson, unmaintained and not working)

* Sun Jan 09 2022 Jakub Bogusz <qboosh@pld-linux.org> e9c5f79
- updated to 3.26.8

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 9b3d15c
- rebuild with separate debuginfo build-ids

* Sun Mar 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 39db1d0
- updated to 3.26.7

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> a446243
- updated to 3.26.6

* Wed Jan 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 52d00cf
- updated to 3.26.5

* Sun Oct 27 2019 Jan Rękorajski <baggins@pld-linux.org> e991e29
- release 2 (by relup.sh)

* Wed Oct 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 0745781
- updated to 3.26.4

* Thu May 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 8ac3482
- updated to 3.26.3

* Sat Apr 15 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 57bc982
- Update to 3.16.6

* Mon Oct 17 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 993bd13
- Update to 3.16.5

* Tue Jun 28 2016 Jakub Bogusz <qboosh@pld-linux.org> ccdd0b2
- updated to 3.16.4

* Mon Feb 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 06ab8be
- updated to 3.16.3

* Sat Oct 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2f5381f
- updated files

* Sat Oct 24 2015 Jan Rękorajski <baggins@pld-linux.org> be393f2
- up to 3.16.2

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> c5bd959
- x32 rebuild
- release 3 (by relup.sh)

